openSUSE Security Update : openstack-keystone (openSUSE-SU-2013:1089-1)

Medium Nessus Plugin ID 75063


The remote openSUSE host is missing a security update.


This update of openstack-keystone fixes two security vulnerabilities.

- Add CVE-2013-2104.patch: fix missing expiration check in Keystone PKI token validation (CVE-2013-2104, bnc#821201)

- Add CVE-2013-2157.patch: fix authentication bypass when using LDAP backend (CVE-2013-2157, bnc#823783)


Update the affected openstack-keystone packages.

See Also

Plugin Details

Severity: Medium

ID: 75063

File Name: openSUSE-2013-540.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:S/C:N/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:openstack-keystone, p-cpe:/a:novell:opensuse:openstack-keystone-test, p-cpe:/a:novell:opensuse:python-keystone, cpe:/o:novell:opensuse:12.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2013/06/17

Reference Information

CVE: CVE-2013-2104, CVE-2013-2157